## org.eclipse.datatools.enablement.sybase.ddl
Class SybaseDdlGenerationOptions

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.internal.core.rte.fe.GenericDdlGenerationOptions
          org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlGenerationOptions

    public class SybaseDdlGenerationOptions

extends org.eclipse.datatools.connectivity.sqm.internal.core.rte.fe.GenericDdlGenerationOptions

SybaseDdlGenerationOptions maintains a set of global ddl options for preference page, and provide specified cloned options set APIs for ddl or delta ddl genration.

Author:
  linsong

Field Summary
`static int` `GENERATE_CATALOG`
`static byte` `GENERATE_CHECK_CONSTRAINTS`
`static byte` `GENERATE_COMMENTS`
`static byte` `GENERATE_DATABASE`
`static byte` `GENERATE_DBSPACE`
`static byte` `GENERATE_DEFAULTS`
`static byte` `GENERATE_EVENTS`
`static byte` `GENERATE_EXTRACODE`
`static byte` `GENERATE_FOREIGN_KEYS`
`static byte` `GENERATE_FULL_SYNTAX`
`static byte` `GENERATE_JOIN_INDEX`
`static byte` `GENERATE_PRIMARY_KEYS`
`static byte` `GENERATE_PRIVILEGE`
`static byte` `GENERATE_PROXY_TABLES`
`static byte` `GENERATE_ROUTINE`
`static byte` `GENERATE_RULES`
`static byte` `GENERATE_SEGMENTS`
`static byte` `GENERATE_SETUSER`
`static byte` `GENERATE_STORED_PROCEDURES`
`static byte` `GENERATE_UNIQUE_CONSTRAINTS`
`static byte` `GENERATE_USEDATABASE`
`static byte` `GENERATE_USER_DEFINED_TYPES`
`static byte` `GENERATE_USER_FUNCTION`
`static byte` `GENERATE_USERS_GROUPS`

Fields inherited from class org.eclipse.datatools.connectivity.sqm.internal.core.rte.fe.GenericDdlGenerationOptions
`GENERATE_CREATE_STATEMENTS, GENERATE_DROP_STATEMENTS, GENERATE_FULLY_QUALIFIED_NAME, GENERATE_INDICES, GENERATE_QUOTED_IDENTIFIER, GENERATE_TABLES, GENERATE_TRIGGERS, GENERATE_VIEWS`

Constructor Summary
`SybaseDdlGenerationOptions()`

Method Summary
`static EngineeringOption[]` `getGlobalSybaseDDLGenerationOptions()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.internal.core.rte.fe.GenericDdlGenerationOptions
`createDDLGenerationOptionCategories, createDDLGenerationOptions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERATE_STORED_PROCEDURES

    public static final byte GENERATE_STORED_PROCEDURES

See Also:
  Constant Field Values

### GENERATE_USER_FUNCTION

    public static final byte GENERATE_USER_FUNCTION

See Also:
  Constant Field Values

### GENERATE_USER_DEFINED_TYPES

    public static final byte GENERATE_USER_DEFINED_TYPES

See Also:
  Constant Field Values

### GENERATE_PRIMARY_KEYS

    public static final byte GENERATE_PRIMARY_KEYS

See Also:
  Constant Field Values

### GENERATE_UNIQUE_CONSTRAINTS

    public static final byte GENERATE_UNIQUE_CONSTRAINTS

See Also:
  Constant Field Values

### GENERATE_FOREIGN_KEYS

    public static final byte GENERATE_FOREIGN_KEYS

See Also:
  Constant Field Values

### GENERATE_CHECK_CONSTRAINTS

    public static final byte GENERATE_CHECK_CONSTRAINTS

See Also:
  Constant Field Values

### GENERATE_USERS_GROUPS

    public static final byte GENERATE_USERS_GROUPS

See Also:
  Constant Field Values

### GENERATE_PROXY_TABLES

    public static final byte GENERATE_PROXY_TABLES

See Also:
  Constant Field Values

### GENERATE_DATABASE

    public static final byte GENERATE_DATABASE

See Also:
  Constant Field Values

### GENERATE_CATALOG

    public static final int GENERATE_CATALOG

See Also:
  Constant Field Values

### GENERATE_RULES

    public static final byte GENERATE_RULES

See Also:
  Constant Field Values

### GENERATE_DEFAULTS

    public static final byte GENERATE_DEFAULTS

See Also:
  Constant Field Values

### GENERATE_SEGMENTS

    public static final byte GENERATE_SEGMENTS

See Also:
  Constant Field Values

### GENERATE_EVENTS

    public static final byte GENERATE_EVENTS

See Also:
  Constant Field Values

### GENERATE_DBSPACE

    public static final byte GENERATE_DBSPACE

See Also:
  Constant Field Values

### GENERATE_ROUTINE

    public static final byte GENERATE_ROUTINE

See Also:
  Constant Field Values

### GENERATE_JOIN_INDEX

    public static final byte GENERATE_JOIN_INDEX

See Also:
  Constant Field Values

### GENERATE_EXTRACODE

    public static final byte GENERATE_EXTRACODE

See Also:
  Constant Field Values

### GENERATE_FULL_SYNTAX

    public static final byte GENERATE_FULL_SYNTAX

See Also:
  Constant Field Values

### GENERATE_COMMENTS

    public static final byte GENERATE_COMMENTS

See Also:
  Constant Field Values

### GENERATE_PRIVILEGE

    public static final byte GENERATE_PRIVILEGE

See Also:
  Constant Field Values

### GENERATE_SETUSER

    public static final byte GENERATE_SETUSER

See Also:
  Constant Field Values

### GENERATE_USEDATABASE

    public static final byte GENERATE_USEDATABASE

See Also:
  Constant Field Values

Constructor Detail

### SybaseDdlGenerationOptions

    public SybaseDdlGenerationOptions()

Method Detail

### getGlobalSybaseDDLGenerationOptions

    public static EngineeringOption[] getGlobalSybaseDDLGenerationOptions()

  Returns:
    all global ddl generation options